Bug 212052 - java/wildfly100: add java/wildfly101
Summary: java/wildfly100: add java/wildfly101
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-22 15:00 UTC by Jimmy Olgeni
Modified: 2017-01-17 13:47 UTC (History)
1 user (show)

See Also:
yerenkow: maintainer-feedback+


Attachments
New port diff (102.43 KB, patch)
2016-08-22 15:00 UTC, Jimmy Olgeni
no flags Details | Diff
New port diff #2 (164.33 KB, patch)
2016-08-22 15:16 UTC, Jimmy Olgeni
no flags Details | Diff
Update patch (159.31 KB, patch)
2017-01-16 15:06 UTC, Jimmy Olgeni
yerenkow: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2016-08-22 15:00:21 UTC
Created attachment 173941 [details]
New port diff

I made a port for Wildfly 10.1 (java/wildfly101) as a diff over java/wildfly100, which would be svn cp-ed to java/wildfly101:

[java/wildfly101]% svn status
A  +    .
M  +    Makefile
M  +    distinfo
D  +    files/wildfly100.in
        > moved to files/wildfly101.in
A  +    files/wildfly101.in
        > moved from files/wildfly100.in
M  +    pkg-plist

Poudriere looks fine and Wildfly seems to run without issues, but it would probably benefit from a quick review.
Comment 1 Jimmy Olgeni freebsd_committer 2016-08-22 15:16:25 UTC
Created attachment 173943 [details]
New port diff #2

Fixed permissions for all directories.
Comment 2 yerenkow 2016-08-22 17:44:27 UTC
Hello Jimmy!
We had discussion in maillist, about "too many jbosses and wildflies".
Seems that upgrade wildgly100 to 10.1.0.Final will be preferable over creating new port.
What do you think?
Comment 3 Jimmy Olgeni freebsd_committer 2016-08-23 18:22:57 UTC
(In reply to yerenkow from comment #2)

Hi! Sound good to me. Not sure if the port should be renamed to wildfly10 in this case (?)
Comment 4 yerenkow 2016-08-23 19:09:08 UTC
I think we're at moment when we can rename it to wildfly10 and deprecate all jbosses as well.
Comment 5 Jimmy Olgeni freebsd_committer 2016-08-23 20:08:27 UTC
(In reply to yerenkow from comment #4)

Quick question - is there any official documentation about the recommended file permissions? Do you know what should actually be writeable? (log, config files, etc?)
Comment 6 yerenkow 2017-01-04 18:27:53 UTC
Any progress here? Can we commit it?
Comment 7 Jimmy Olgeni freebsd_committer 2017-01-09 08:50:44 UTC
Should be ok, I'll get to this ASAP
Comment 8 commit-hook freebsd_committer 2017-01-10 23:00:13 UTC
A commit references this bug:

Author: olgeni
Date: Tue Jan 10 22:59:59 UTC 2017
New revision: 431140
URL: https://svnweb.freebsd.org/changeset/ports/431140

Log:
  Rename java/wildfly100 to java/wildfly10.

  PR:		212052
  Submitted by:	olgeni

Changes:
  head/MOVED
  head/java/Makefile
  head/java/wildfly10/
  head/java/wildfly10/Makefile
  head/java/wildfly10/files/wildfly10.in
  head/java/wildfly10/files/wildfly100.in
  head/java/wildfly100/
Comment 9 Jimmy Olgeni freebsd_committer 2017-01-11 01:54:48 UTC
More coming soon...
Comment 10 Jimmy Olgeni freebsd_committer 2017-01-16 15:06:20 UTC
Created attachment 178953 [details]
Update patch
Comment 11 Jimmy Olgeni freebsd_committer 2017-01-16 15:07:45 UTC
Hi,

Final patch version:

- Updated to 10.1.0.
- Moved installation directory to /usr/local/wildfly10.
- Fixed directory permissions and ownership (root:wheel everywhere except config)
- Removed all @dir entries which are now unnecessary.

Message for UPDATING:

20170116:
  AFFECTS: users of java/wildfly10
  AUTHOR: olgeni@FreeBSD.org

  The java/wildfly10 port has been updated to 10.1.0. To complete the
  migration you must copy your existing configuration (directories
  "appclient", "standalone", and "domain") from /usr/local/wildfly-10.0.0
  to /usr/local/wildfly10. The wildfly-10.0.0 directory can then be removed.

From this point on it should be possible to upgrade Wildfly 10.x in place.
Comment 12 commit-hook freebsd_committer 2017-01-16 15:28:08 UTC
A commit references this bug:

Author: olgeni
Date: Mon Jan 16 15:27:02 UTC 2017
New revision: 431670
URL: https://svnweb.freebsd.org/changeset/ports/431670

Log:
  Upgrade java/wildfly10 to 10.1.0.

  - Move installation directory to /usr/local/wildfly10.
  - Fix directory permissions and ownership (root:wheel everywhere except config.)
  - Remove all @dir entries which are now unnecessary.
  - Add upgrade notice to UPDATING.

  PR:		212052
  Submitted by:	olgeni
  Approved by:	maintainer

Changes:
  head/UPDATING
  head/java/wildfly10/Makefile
  head/java/wildfly10/distinfo
  head/java/wildfly10/pkg-plist
Comment 13 Jimmy Olgeni freebsd_committer 2017-01-17 13:47:39 UTC
Patch committed.